import time
from recup import recupfunc
from Extraction import *

t = time.localtime()
f = open("/home/remy/Projet/Bourse/Src/cac.txt","r") #Ordinateur
f = open("/home/remy/Projet/Bourse/Src/cac.txt","r") #

for i in f:
        add = i.split(";")[1]
        name = i.split(";")[0]
        parser=MyHTMLParser()
        fichier = "/home/remy/valeurs/" + name + "-" + str(t[2]) + "-" + str(t[1])  + "-" + str(t[0])        
        d = open(fichier,"w")
        
        
        html=recupfunc(add)
        
        graph=parser.Daily(html)
        
        parser.feed(html)
        histo=parser.struct()
        
        d.write(str(graph))
        d.write("\r\n")
        d.write(str(histo))
        d.close()
f.close()
